io.vertx.rxjava3.ext.web.client.predicate

## Class ResponsePredicateResult

- java.lang.Object
- - io.vertx.rxjava3.ext.web.client.predicate.ResponsePredicateResult

-     public class ResponsePredicateResult
      extends Object

  Represents the outcome of a `ResponsePredicate` applied to an .

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ResponsePredicateResult>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponsePredicateResult(Object delegate)`
    `ResponsePredicateResult(ResponsePredicateResult delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `static ResponsePredicateResult` | `failure(String message)` Creates a failed result.
    `ResponsePredicateResult` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `message()` The failure message.
    `static ResponsePredicateResult` | `newInstance(ResponsePredicateResult arg)`
    `HttpResponse<Buffer>` | `response()` The which has been tested.
    `boolean` | `succeeded()` Whether the result is a success or failure.
    `static ResponsePredicateResult` | `success()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResponsePredicateResult> __TYPE_ARG

  - ### Constructor Detail

    - #### ResponsePredicateResult

          public ResponsePredicateResult(ResponsePredicateResult delegate)

    - #### ResponsePredicateResult

          public ResponsePredicateResult(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResponsePredicateResult getDelegate()

    - #### success

          public static ResponsePredicateResult success()

      Returns:
        a successful result

    - #### failure

          public static ResponsePredicateResult failure(String message)

      Creates a failed result.
      Parameters:
        `message` - the failure description
      Returns:

    - #### succeeded

          public boolean succeeded()

      Whether the result is a success or failure.
      Returns:
        `true` if the `ResponsePredicate` was applied successfully, false otherwise

    - #### message

          public String message()

      The failure message. May be `null`.
      Returns:

    - #### response

          public HttpResponse<Buffer> response()

      The which has been tested.
      Returns:
        `null` after the result has been created, or the tested response for converters created with `ErrorConverter.createFullBody(java.util.function.Function<io.vertx.rxjava3.ext.web.client.predicate.ResponsePredicateResult, java.lang.Throwable>)`

    - #### newInstance

          public static ResponsePredicateResult newInstance(ResponsePredicateResult arg)

Copyright © 2024 Eclipse. All rights reserved.